/* Add this line if WooCommerce is used on this site */
/* @import "woo-style.css"; */
@import "imt-css/new-style.css";

/* Child theme fonts */
:root {
    --font-family--default: 'proxima-nova';
    --font-family--h--1: 'Barlow Condensed';
    --font-family--h--2: var(--font-family--h--1);
    --font-family--h--3: var(--font-family--h--1);
    --font-family--h--4: var(--font-family--h--1);
    --font-family--h--5: var(--font-family--h--1);
    --font-family--h--6: var(--font-family--h--1);
    --font-family--h--2--footer: var(--font-family--h--1);
    --font-family--h--3--footer: var(--font-family--h--1);
    --font-family--h--4--footer: var(--font-family--h--1);
    --font-family--main-navigation: var(--font-family--default);
    --font-family--dropdown: var(--font-family--default);
    --font-family--megamenu--heading: var(--font-family--default);
    --font-family--gallery--caption: var(--font-family--default);
    --font-family--collapsible: var(--font-family--default);
    --font-family--tab: var(--font-family--default);
    --font-family--button: var(--font-family--default);
    --font-family--h--sub-heading--0: var(--font-family--h--1);
    --font-family--h--lead-text--0: var(--font-family--default);
}

nav.imt-main-nav>div>ul>li.megamenu .submenu .megamenu-heading {
    text-transform: uppercase !important;
}

/* ------- FORM FORMATTING ------- */
/* add focus state bg color for form fields */
form[role=search] .wp-block-search__input:focus,
.gform_fields .chosen-choices .search-choice:focus,
.gform_fields .chosen-choices:focus,
.gform_fields .chosen-single:focus,
.gform_fields input:focus,
.gform_fields select:focus,
.gform_fields textarea:focus {
    background: rgba(131, 171, 236, 0.3)!important;
}

/* aligns images to the left */
.imt-section .imt-card-group.imt-card-style-default .our-process-card .imt-img-container.imt-img-max-width-sm {
    margin-left: 0 !important;
    }

/* aligns images to the left */
.imt-section .imt-card-group.imt-card-style-default .our-process-card .imt-img-container.imt-img-max-width-md {
    margin-left: 0 !important;
    }


/* clean up file upload layout */
.gform_wrapper.gravity-theme .gform_drop_area {
    background: var(--wp--custom--imt--gravity-forms--input--background) !important;
    border: var(--wp--custom--imt--gravity-forms--input--border--width) dashed var(--wp--custom--imt--color--palette--background--secondary--active) !important;
    border-color: var(--wp--custom--imt--color--palette--background--secondary--active) !important;
    border-radius: var(--wp--custom--imt--gravity-forms--input--border--radius) !important;
}


@media only screen and (min-width: 1281px) {

    /* header cta button color before scroll */
    section#imt-header:not(.imt-header-sm) a.imt-btn-secondary {
        color: #fff !important;
        border-color: var(--wp--custom--imt--color--palette--background--white) !important;
        background: transparent !important;
    }

    section#imt-header:not(.imt-header-sm) a.imt-btn-secondary:hover{
        background-color: var(--wp--custom--imt--color--palette--background--primary--300) !important;
        border-color: var(--wp--custom--imt--color--palette--background--primary--300) !important;
        color: #000 !important;
    }
}

@media only screen and (max-width: 1281px) {

    nav.imt-main-nav > div > ul > li > .submenu, nav.imt-main-nav nav.imt-main-nav > div > ul > li > .submenu .submenu {
        min-width: 100% !important;

    }

    .imt-difference-text {
        text-align: center !important;
    }
    
}

@media screen and (max-width: 800px) {
    .imt-section:has(.imt-hero-default) .imt-card {
        border-style: none !important;
    }

}

.imt-collapsible-container[data-background-button=imt-bg-color-white] .imt-collapsible>button {
    border-width: 0.5px !important;
    border-color: var(--wp--custom--imt--color--palette--background--primary--active) !important;
}

/* ------- FOOTER LOGO ICON REPLACEMENTS ------- */
/* ------- SWAP TWITTER X FOR YELP ------- */
.imt-social-links>a>i.fa-x-twitter::before {
    content: "\f1a0";
}

/* ------- REPOSITION SLIDER ARROWS FOR MOBILE ------- */
@media screen and (max-width: 800px) {
    .imt-slider.imt-slider-bottom-arrows .slick-slider.slick-dotted {
        margin-bottom: 96px;
    }

    .imt-slider.imt-slider-bottom-arrows .slick-prev {
        top: calc(100% + 60px) !important;
        left: calc(50% - 60px) !important;
    }
    
    .imt-slider.imt-slider-bottom-arrows .slick-next {
        top: calc(100% + 60px) !important;
        right: calc(50% - 60px) !important;
    }
}

.imt-small-info {
    font-size: 14px !important;
}